<?php 
	session_start();
	ini_set('date.timezone', 'Asia/Calcutta');
	error_reporting(E_ERROR | E_WARNING);
	#error_reporting(E_ALL);  		 
	include_once('config/GLOBALS.php'); 
	include_once('config/database.php');
	
	                          
	      
        if(isset($_SESSION['userCustId'] ))
        { 
          
            $stmt=$conn->prepare("select Mnnnt from   UI__Mnt where sId=:custId ");   
            $stmt->bindValue(':custId',$_SESSION['userCustId'], PDO::PARAM_STR);   
            $stmt->execute(); 
            $Mnnnt = $stmt->fetch(PDO::FETCH_OBJ);   
            
            $stmt=$conn->prepare("select nm from   UI__Rgst where custId=:custId ");   
            $stmt->bindValue(':custId',$_SESSION['userCustId'], PDO::PARAM_STR);   
            $stmt->execute(); 
            $userNam = $stmt->fetch(PDO::FETCH_OBJ);   
        }
        
        
        
                    function GetNBal()
                    {
                        global $conn;		          
                 
                        $stmt=$conn->prepare("select amount  from UI__DailyROIGene    where custId=:sId     ");   
                        $stmt->bindValue(':sId',  $_SESSION['userId'] , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
                        
                        $Tamnt = 0;
                        foreach($XUI__DailyROIGene as $xx)
                        {
                        $Tamnt +=$xx->amount;
                        }      
                        
                        
                        $stmt=$conn->prepare("select Tamt  from UI__Bns    where Rid =:sId   ");   
                        $stmt->bindValue(':sId',  $_SESSION['userId'] , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
                        
                        $LevelI = 0;
                        foreach($UI__Bns as $dddm)
                        {
                        $LevelI +=$dddm->Tamt;
                        }
                        
                        
                        $stmt=$conn->prepare("select Amt   from UI__Tpm where TopUpId=:refId   ");   
                        $stmt->bindValue(':refId',  $_SESSION['userId'] , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $MdirectB = $stmt->fetchAll(PDO::FETCH_OBJ);  
                        
                        $directIncome = 0;
                        foreach($MdirectB as $dmm)
                        $directIncome += $dmm->Amt;                
                        
                        
                        
                        
                        $stmt=$conn->prepare("select  amt  from UI__WithDraw    where userid=:sId and (accept=1 ||accept=2)  ");   
                        $stmt->bindValue(':sId',  $_SESSION['userId'] , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $UI__WithDraw = $stmt->fetchAll(PDO::FETCH_OBJ); 
                        
                        
                        $totalWithdrwa = 0;
                        foreach($UI__WithDraw as $tl)
                        {
                        $totalWithdrwa +=$tl->amt;
                        }  
                        
                        
                        $stmt=$conn->prepare("select availableFund from UI__Fundtransfer  where  userid=:userid  order by id desc  ");   
                        $stmt->bindValue(':userid',  $_SESSION['userId'] , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $UI__Fundtransfer = $stmt->fetch(PDO::FETCH_OBJ); 
                        
                        
                        
                        $stmt=$conn->prepare("select nm  from UI__Rgst    where cuurentId=:cuurentId     ");   
                        $stmt->bindValue(':cuurentId',  $_SESSION['userId'] , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $UI__nm = $stmt->fetch(PDO::FETCH_OBJ);     
                        $BY = $UI__nm->nm;
                        
                        $PAYWAllet =  ($Tamnt+$LevelI+$directIncome+$UI__Fundtransfer->availableFund)-($totalWithdrwa);     
                        return $PAYWAllet;
                        
                    }
                    
                    function GetBalance($_SESSIONuserId)
                    { 
                        global $conn;	
                        
                        if($_SESSIONuserId=="DP841053")
                        { 
                            
                                /*$Tamnt = 0;  
                                $stmt=$conn->prepare("select amount  from UI__DailyROIGeneForD    where custId=:sId     ");   
                                $stmt->bindValue(':sId', $_SESSIONuserId , PDO::PARAM_STR);  
                                $stmt->execute(); 
                                $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
                                
                                 
                                foreach($XUI__DailyROIGene as $xx)
                                     $Tamnt +=$xx->amount; 
                                     
                                 
                                $stmt=$conn->prepare("select amt  from UI__WithDrawForD    where userid=:sId and (accept=1 ||accept=2)  ");   
                                $stmt->bindValue(':sId',  $_SESSIONuserId , PDO::PARAM_INT);  
                                $stmt->execute(); 
                                $UI__WithDraw = $stmt->fetchAll(PDO::FETCH_OBJ); 
                                
                                
                                $totalWithdrwa = 0;
                                foreach($UI__WithDraw as $tl)
                                {
                                $totalWithdrwa +=$tl->amt;
                                }  
                                
                                
                                $stmt=$conn->prepare("select availableFund from UI__FundtransferForD  where  userid=:userid  order by id desc  ");   
                                $stmt->bindValue(':userid',  $_SESSIONuserId , PDO::PARAM_INT);  
                                $stmt->execute(); 
                                $UI__Fundtransfer = $stmt->fetch(PDO::FETCH_OBJ);   */
                                
                              
                                
                                $stmt=$conn->prepare("select *   from   UI__DebitCreditForD order by Id desc   ");   
                                $stmt->bindValue(':userid', $LPB  , PDO::PARAM_INT);  
                                $stmt->execute(); 
                                $UI__DebitCreditForD = $stmt->fetch(PDO::FETCH_OBJ);   
                                $PAYWAllet =  $UI__DebitCreditForD->availableBal;  
                                return $PAYWAllet;
                        
                            
                        }else  
                        {
                            
                         
                        $stmt=$conn->prepare("select amount from UI__DailyROIGeneAtw    where custId=:sId     ");   
                        $stmt->bindValue(':sId', $_SESSIONuserId , PDO::PARAM_STR);   
                        $stmt->execute(); 
                        $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
                        
                        $Tamnt = 0;
                        foreach($XUI__DailyROIGene as $xx)
                        {
                        $Tamnt +=$xx->amount;
                        }

                        $stmt=$conn->prepare("select amount  from UI__DailyROIGene    where custId=:sId     ");   
                        $stmt->bindValue(':sId', $_SESSIONuserId , PDO::PARAM_STR);  
                        $stmt->execute(); 
                        $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
                        
                         
                        foreach($XUI__DailyROIGene as $xx)
                        {
                            $Tamnt +=$xx->amount;
                        }      
                          
                         
                        $stmt=$conn->prepare("select Tamt from UI__BnsAtw    where Rid =:sId   ");   
                        $stmt->bindValue(':sId',  $_SESSIONuserId , PDO::PARAM_STR);   
                        $stmt->execute(); 
                        $UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
                        
                        $LevelI = 0; 
                        foreach($UI__Bns as $dddm)
                        {
                        $LevelI +=$dddm->Tamt;
                        }

                        $stmt=$conn->prepare("select Tamt  from UI__Bns    where Rid =:sId   ");   
                        $stmt->bindValue(':sId',  $_SESSIONuserId , PDO::PARAM_STR);  
                        $stmt->execute(); 
                        $UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
                        
                        
                        foreach($UI__Bns as $dddm)
                        {
                        $LevelI +=$dddm->Tamt;
                        }
                        
                        
                        
                        $stmt=$conn->prepare("select Amt   from UI__Tpm where TopUpId=:refId   ");   
                        $stmt->bindValue(':refId',  $_SESSIONuserId  , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $MdirectB = $stmt->fetchAll(PDO::FETCH_OBJ);  
                        
                        $directIncome = 0;
                        foreach($MdirectB as $dmm)
                        $directIncome += $dmm->Amt;                
                        
                        
                        
                        
                        $stmt=$conn->prepare("select amt  from UI__WithDraw    where userid=:sId and (accept=1 ||accept=2)  ");   
                        $stmt->bindValue(':sId',  $_SESSIONuserId , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $UI__WithDraw = $stmt->fetchAll(PDO::FETCH_OBJ); 
                        
                        
                        $totalWithdrwa = 0;
                        foreach($UI__WithDraw as $tl)
                        {
                        $totalWithdrwa +=$tl->amt;
                        }  
                        
                        
                        $stmt=$conn->prepare("select availableFund from UI__Fundtransfer  where  userid=:userid  order by id desc  ");   
                        $stmt->bindValue(':userid',  $_SESSIONuserId , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $UI__Fundtransfer = $stmt->fetch(PDO::FETCH_OBJ);    
                        
                        $PAYWAllet =  ($Tamnt+$LevelI+$directIncome+$UI__Fundtransfer->availableFund)-($totalWithdrwa);     
                        return $PAYWAllet;
                        
                        }  
                        
                    }
                    
                    
                    
            function LvBal_new($LPB,$CoinVal,$type,$msg,$byw)
            {
                
            global $conn;													
            $stmt=$conn->prepare("select amount from UI__DailyROIGeneAtw    where custId=:sId     ");   
            $stmt->bindValue(':sId', $LPB, PDO::PARAM_INT);  
            $stmt->execute(); 
            $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
            
            $Tamnt = 0;
            foreach($XUI__DailyROIGene as $xx)
            {
            $Tamnt +=$xx->amount;
            }
            
            $stmt=$conn->prepare("select amount  from UI__DailyROIGene    where custId=:sId     ");   
            $stmt->bindValue(':sId', $LPB, PDO::PARAM_INT);  
            $stmt->execute(); 
            $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
            
             
            foreach($XUI__DailyROIGene as $xx)
            {
            $Tamnt +=$xx->amount;
            }
            
            
            
            $stmt=$conn->prepare("select Tamt  from UI__BnsAtw    where Rid =:sId   ");   
            $stmt->bindValue(':sId',  $LPB , PDO::PARAM_INT);  
            $stmt->execute(); 
            $UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
            
            $LevelI = 0;
            foreach($UI__Bns as $dddm)
            {
            $LevelI +=$dddm->Tamt;
            }
            
            
            $stmt=$conn->prepare("select Tamt  from UI__Bns    where Rid =:sId   ");   
            $stmt->bindValue(':sId',  $LPB , PDO::PARAM_INT);  
            $stmt->execute(); 
            $UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
            
            
            foreach($UI__Bns as $dddm)
            {
            $LevelI +=$dddm->Tamt;
            }
            
            
            $stmt=$conn->prepare("select Amt   from UI__Tpm where TopUpId=:refId   ");   
            $stmt->bindValue(':refId',  $LPB , PDO::PARAM_INT);  
            $stmt->execute(); 
            $MdirectB = $stmt->fetchAll(PDO::FETCH_OBJ);  
            
            $directIncome = 0;
            foreach($MdirectB as $dmm)
            $directIncome += $dmm->Amt;      
            
            
            $stmt=$conn->prepare("select amt  from UI__WithDraw    where userid=:sId and (accept=1 ||accept=2)  ");   
            $stmt->bindValue(':sId',  $LPB, PDO::PARAM_INT);  
            $stmt->execute(); 
            $UI__WithDraw = $stmt->fetchAll(PDO::FETCH_OBJ); 
            
            
            $totalWithdrwa = 0;
            foreach($UI__WithDraw as $tl)
            {
            $totalWithdrwa +=$tl->amt;
            }
            
            
            
            
            $stmt=$conn->prepare("select availableFund from UI__Fundtransfer  where  userid=:userid  order by id desc  ");   
            $stmt->bindValue(':userid',  $LPB, PDO::PARAM_INT);  
            $stmt->execute(); 
            $UI__Fundtransfer = $stmt->fetch(PDO::FETCH_OBJ); 
            
            
             
            
            $PAYWAllet =  ($Tamnt+$LevelI+$directIncome+$UI__Fundtransfer->availableFund)-($totalWithdrwa);        
            
            
            $stmt=$conn->prepare("insert into  UI__DebitCredit (custId,addDel,availableBal,Tdate,type,Intype,byw) values(:custId,:addDel,:availableBal,:Tdate,:type,:Intype,:byw)"); 
            $stmt->bindValue(':custId',$LPB, PDO::PARAM_STR); 
            $stmt->bindValue(':addDel',$CoinVal, PDO::PARAM_STR); 
            $stmt->bindValue(':availableBal',($PAYWAllet), PDO::PARAM_STR);  
            $stmt->bindValue(':Tdate', date("d-M-Y H:i") , PDO::PARAM_STR);  
            $stmt->bindValue(':Intype', $msg , PDO::PARAM_STR);    
            $stmt->bindValue(':type', $type , PDO::PARAM_STR);  
            $stmt->bindValue(':byw', $byw , PDO::PARAM_STR);    
            $stmt->execute();
            $_SESSION['LastIntId'] = $conn->lastInsertId();
            
            }
            
            function LvBal($LPB,$CoinVal,$type,$msg,$byw)
            {
            
            global $conn;													
            $stmt=$conn->prepare("select amount  from UI__DailyROIGene    where custId=:sId     ");   
            $stmt->bindValue(':sId', $LPB, PDO::PARAM_INT);  
            $stmt->execute(); 
            $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
            
            $Tamnt = 0;
            foreach($XUI__DailyROIGene as $xx)
            {
            $Tamnt +=$xx->amount;
            }      
            
            
            $stmt=$conn->prepare("select Tamt  from UI__Bns    where Rid =:sId   ");   
            $stmt->bindValue(':sId',  $LPB , PDO::PARAM_INT);  
            $stmt->execute(); 
            $UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
            
            $LevelI = 0;
            foreach($UI__Bns as $dddm)
            {
            $LevelI +=$dddm->Tamt;
            }
            
            
            $stmt=$conn->prepare("select Amt   from UI__Tpm where TopUpId=:refId   ");   
            $stmt->bindValue(':refId',  $LPB , PDO::PARAM_INT);  
            $stmt->execute(); 
            $MdirectB = $stmt->fetchAll(PDO::FETCH_OBJ);  
            
            $directIncome = 0;
            foreach($MdirectB as $dmm)
            $directIncome += $dmm->Amt;                
            
            
            
            
            $stmt=$conn->prepare("select amt  from UI__WithDraw    where userid=:sId and (accept=1 ||accept=2)  ");   
            $stmt->bindValue(':sId',  $LPB, PDO::PARAM_INT);  
            $stmt->execute(); 
            $UI__WithDraw = $stmt->fetchAll(PDO::FETCH_OBJ); 
            
            
            $totalWithdrwa = 0;
            foreach($UI__WithDraw as $tl)
            {
            $totalWithdrwa +=$tl->amt;
            }
            
            
            
            
            $stmt=$conn->prepare("select availableFund from UI__Fundtransfer  where  userid=:userid  order by id desc  ");   
            $stmt->bindValue(':userid',  $LPB, PDO::PARAM_INT);  
            $stmt->execute(); 
            $UI__Fundtransfer = $stmt->fetch(PDO::FETCH_OBJ); 
            
            
            
           
            
            $PAYWAllet =  ($Tamnt+$LevelI+$directIncome+$UI__Fundtransfer->availableFund)-($totalWithdrwa);        
            
            
            $stmt=$conn->prepare("insert into  UI__DebitCredit (custId,addDel,availableBal,Tdate,type,Intype,byw) values(:custId,:addDel,:availableBal,:Tdate,:type,:Intype,:byw)"); 
            $stmt->bindValue(':custId',$LPB, PDO::PARAM_STR); 
            $stmt->bindValue(':addDel',$CoinVal, PDO::PARAM_STR); 
            $stmt->bindValue(':availableBal',($PAYWAllet), PDO::PARAM_STR);  
            $stmt->bindValue(':Tdate', date("d-M-Y H:i") , PDO::PARAM_STR);  
            $stmt->bindValue(':Intype', $msg , PDO::PARAM_STR);    
            $stmt->bindValue(':type', $type , PDO::PARAM_STR);  
            $stmt->bindValue(':byw', $byw , PDO::PARAM_STR);    
            $stmt->execute();
            $_SESSION['LastIntId'] = $conn->lastInsertId();
            
            $stmt=$conn->prepare("select id from UI__Rgst  where  cuurentId=:cuurentId    ");   
            $stmt->bindValue(':cuurentId',  $LPB , PDO::PARAM_STR);  
            $stmt->execute(); 
            $UIid = $stmt->fetch(PDO::FETCH_OBJ);   
            
            $amount = password_hash(($PAYWAllet),PASSWORD_DEFAULT);  
            $stmt =  $conn->prepare("update _pkCc__ set bl1=:bl1,tm=:tm where Uxd=:Uxd "); 
            $stmt->bindValue(':bl1', $amount, PDO::PARAM_STR); 
            $stmt->bindValue(':tm', date("d-M-Y H:i"), PDO::PARAM_STR); 
            $stmt->bindValue(':Uxd', $UIid->id, PDO::PARAM_STR);  
            $stmt->execute(); 
            }           
            
            
                    function totalCredit($userId)
                    { 
                        
                        global $conn;		  
                        
                        if($userId=="DP841053")
                        {    
                                   

                        $stmt=$conn->prepare("select  amount from UI__DailyROIGeneForD    where custId=:sId     ");   
                        $stmt->bindValue(':sId',  $userId, PDO::PARAM_STR);  
                        $stmt->execute(); 
                        $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
                         
                        foreach($XUI__DailyROIGene as $xx)
                        {
                            $Tamnt +=$xx->amount;
                        }                            
                        
                        $stmt=$conn->prepare("select availableFund from UI__FundtransferForD  where  userid=:userid  order by id desc  ");   
                        $stmt->bindValue(':userid',  $userId , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $UI__Fundtransfer = $stmt->fetch(PDO::FETCH_OBJ);    
                      
                        
                        $PAYWAllet =  ($Tamnt+$UI__Fundtransfer->availableFund);     
                        return $PAYWAllet;
                        
                        }else {
                          												
                        $stmt=$conn->prepare("select amount from UI__DailyROIGeneAtw    where custId=:sId     ");   
                        $stmt->bindValue(':sId',  $userId , PDO::PARAM_STR);   
                        $stmt->execute(); 
                        $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
                        
                        $Tamnt = 0;
                        foreach($XUI__DailyROIGene as $xx)
                        {
                        $Tamnt +=$xx->amount;
                        }
                        
                        

                        $stmt=$conn->prepare("select amount  from UI__DailyROIGene    where custId=:sId     ");   
                        $stmt->bindValue(':sId',  $userId, PDO::PARAM_STR);  
                        $stmt->execute(); 
                        $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
                         
                        foreach($XUI__DailyROIGene as $xx)
                        {
                            $Tamnt +=$xx->amount;
                        }       
                        
                        $stmt=$conn->prepare("select Tamt  from UI__BnsAtw    where Rid =:sId   ");   
                        $stmt->bindValue(':sId',  $userId , PDO::PARAM_STR);   
                        $stmt->execute(); 
                        $UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
                        
                        $LevelI = 0; 
                        foreach($UI__Bns as $dddm)
                        {
                        $LevelI +=$dddm->Tamt;
                        }

                        $stmt=$conn->prepare("select Tamt  from UI__Bns    where Rid =:sId   ");   
                        $stmt->bindValue(':sId',  $userId , PDO::PARAM_STR);  
                        $stmt->execute(); 
                        $UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
                        
                        
                        foreach($UI__Bns as $dddm)
                        {
                        $LevelI +=$dddm->Tamt;
                        }
                        
                        
                        $stmt=$conn->prepare("select Amt   from UI__Tpm where TopUpId=:refId   ");   
                        $stmt->bindValue(':refId',  $userId , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $MdirectB = $stmt->fetchAll(PDO::FETCH_OBJ);  
                        
                        $directIncome = 0;
                        foreach($MdirectB as $dmm)
                        $directIncome += $dmm->Amt;          
                        
                          
                        
                        $stmt=$conn->prepare("select availableFund from UI__Fundtransfer  where  userid=:userid  order by id desc  ");   
                        $stmt->bindValue(':userid',  $userId , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $UI__Fundtransfer = $stmt->fetch(PDO::FETCH_OBJ);    
                      
                        
                        $PAYWAllet =  ($Tamnt+$LevelI+$directIncome+$UI__Fundtransfer->availableFund);     
                        return $PAYWAllet;
                        }
                        
                    } 
                    
                    
                    function totalDebit($userId)
                    {  
                               
                        global $conn;   
                        
                         if($userId=="DP841053")
                        {
                            
                        $stmt=$conn->prepare("select amt  from UI__WithDrawForD    where userid=:sId and (accept=1 ||accept=2)  ");   
                        $stmt->bindValue(':sId',  $userId , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $UI__WithDraw = $stmt->fetchAll(PDO::FETCH_OBJ);  
                        
                        $totalWithdrwa = 0;
                        foreach($UI__WithDraw as $tl)
                            $totalWithdrwa +=$tl->amt; 
                            
                        }else {
                        
                        $stmt=$conn->prepare("select amt from UI__WithDraw    where userid=:sId and (accept=1 ||accept=2)  ");   
                        $stmt->bindValue(':sId',  $userId , PDO::PARAM_INT);  
                        $stmt->execute(); 
                        $UI__WithDraw = $stmt->fetchAll(PDO::FETCH_OBJ);  
                        
                        $totalWithdrwa = 0;
                        foreach($UI__WithDraw as $tl)
                            $totalWithdrwa +=$tl->amt; 
                        }
                        
                        return $totalWithdrwa;  
                    }
                    
                    if(isset($_POST['gtMybal']))
                    {
                        
                        $Bal = GetBalance($_POST['Id']);  
                        echo number_format($Bal,2); 
                        die;
                    } 
                    
                    
                    function GetPayot($_SESSIONuserId)
                    { 
                            global $conn; 
                            $Am = 0;
                            
                            $stmt=$conn->prepare("select amount  from   UI__DailyROIGene where  custId=:custId and Tdate=:Tdate and paidStatus=0 ");   
                            $stmt->bindValue(':custId', $_SESSIONuserId, PDO::PARAM_STR); 
                            $stmt->bindValue(':Tdate',  date("d-M-Y"), PDO::PARAM_STR);  
                            $stmt->execute();   
                            $dateOfra = $stmt->fetchAll(PDO::FETCH_OBJ);   
                            
                            
                            foreach($dateOfra as $pp)
                                $Am +=$pp->amount;
                                
                                
                            $stmt=$conn->prepare("select amount  from     UI__DailyROIGeneClone where  custId=:custId and Tdate=:Tdate and paidStatus=0");   
                            $stmt->bindValue(':custId', $_SESSIONuserId, PDO::PARAM_STR); 
                            $stmt->bindValue(':Tdate',  date("d-M-Y"), PDO::PARAM_STR);  
                            $stmt->execute();   
                            $dateOfra = $stmt->fetchAll(PDO::FETCH_OBJ);   
                            
                            
                            foreach($dateOfra as $pp)
                                $Am +=$pp->amount;
                                
                            return $Am;     
                    }
                    
                    
                    if(isset($_POST['gtPayout']))
                    {
                        
                        $Bal = GetPayot($_POST['Id']);  
                        echo number_format($Bal,2); 
                        die;
                    } 
                    
                    
                    function AddFundNew($UserId,$Fund,$msg) 
					{
							
							 global $conn;	
							
							$stmt=$conn->prepare("select  amt,availableFund from  UI__Fundtransfer   where userid=:cuurentId order by id desc");  
							$stmt->bindValue(':cuurentId', $UserId , PDO::PARAM_STR);
							$stmt->execute();  
							
							
							
							
							
							if($stmt->rowCount() > 0)
							{
							   $AllUsers = $stmt->fetch(PDO::FETCH_OBJ); 
							   $totalAvaib = $AllUsers->availableFund+$Fund;  
							}else
								$totalAvaib =  $Fund;   

								
							 
							$stmt=$conn->prepare("insert into  UI__Fundtransfer (userid,Tdate,amt,availableFund) values(:userid,:Tdate,:amt,:availableFund)    "); 
							$stmt->bindValue(':userid',$UserId, PDO::PARAM_STR); 
							$stmt->bindValue(':Tdate',date("d-M-Y H:i"), PDO::PARAM_STR); 
							$stmt->bindValue(':amt',$Fund, PDO::PARAM_STR);  
							$stmt->bindValue(':availableFund', $totalAvaib , PDO::PARAM_STR);  
							$stmt->execute(); 
							 
                            $stmt=$conn->prepare("select amount  from UI__DailyROIGeneAtw    where custId=:sId     ");   
                            $stmt->bindValue(':sId', $UserId, PDO::PARAM_INT);  
                            $stmt->execute(); 
                            $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
                            
                            $Tamnt = 0;
                            foreach($XUI__DailyROIGene as $xx)
                            {
                            $Tamnt +=$xx->amount;
                            }
                            
                            $stmt=$conn->prepare("select amount  from UI__DailyROIGene    where custId=:sId     ");   
                            $stmt->bindValue(':sId', $UserId, PDO::PARAM_INT);  
                            $stmt->execute(); 
                            $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
                            
                            
                            foreach($XUI__DailyROIGene as $xx)
                            {
                            $Tamnt +=$xx->amount;
                            }
                            
                            
                            
                            $stmt=$conn->prepare("select Tamt from UI__BnsAtw    where Rid =:sId   ");   
                            $stmt->bindValue(':sId',  $UserId , PDO::PARAM_INT);  
                            $stmt->execute(); 
                            $UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
                            
                            $LevelI = 0;
                            foreach($UI__Bns as $dddm)
                            {
                            $LevelI +=$dddm->Tamt;
                            }
                            
                            
                            $stmt=$conn->prepare("select Tamt from UI__Bns    where Rid =:sId   ");   
                            $stmt->bindValue(':sId',  $UserId , PDO::PARAM_INT);  
                            $stmt->execute(); 
                            $UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
                            
                            
                            foreach($UI__Bns as $dddm)
                            {
                            $LevelI +=$dddm->Tamt;
                            }
                            
                            
                            $stmt=$conn->prepare("select Amt   from UI__Tpm where TopUpId=:refId   ");   
                            $stmt->bindValue(':refId',  $UserId , PDO::PARAM_INT);  
                            $stmt->execute(); 
                            $MdirectB = $stmt->fetchAll(PDO::FETCH_OBJ);  
                            
                            $directIncome = 0;
                            foreach($MdirectB as $dmm)
                            $directIncome += $dmm->Amt;      
                            
                            
                            $stmt=$conn->prepare("select amt  from UI__WithDraw    where userid=:sId and (accept=1 ||accept=2)  ");   
                            $stmt->bindValue(':sId',  $UserId, PDO::PARAM_INT);  
                            $stmt->execute(); 
                            $UI__WithDraw = $stmt->fetchAll(PDO::FETCH_OBJ); 
                            
                            
                            $totalWithdrwa = 0;
                            foreach($UI__WithDraw as $tl)
                            {
                            $totalWithdrwa +=$tl->amt;
                            }
                            
                            
                            
                            
                            $stmt=$conn->prepare("select availableFund from UI__Fundtransfer  where  userid=:userid  order by id desc  ");   
                            $stmt->bindValue(':userid',  $UserId, PDO::PARAM_INT);  
                            $stmt->execute(); 
                            $UI__Fundtransfer = $stmt->fetch(PDO::FETCH_OBJ); 
                            
                            
                            
                            
                            $PAYWAllet =  ($Tamnt+$LevelI+$directIncome+$UI__Fundtransfer->availableFund)-($totalWithdrwa);  
							 
							$stmt=$conn->prepare("insert into  UI__DebitCredit (custId,addDel,availableBal,Tdate,type,Intype,byw) values(:custId,:addDel,:availableBal,:Tdate,:type,:Intype,'NA')"); 
							$stmt->bindValue(':custId',$UserId, PDO::PARAM_STR); 
							$stmt->bindValue(':addDel',$Fund, PDO::PARAM_STR); 
							$stmt->bindValue(':availableBal',$PAYWAllet, PDO::PARAM_STR);  
							$stmt->bindValue(':Tdate', date("d-M-Y H:i") , PDO::PARAM_STR);  
							$stmt->bindValue(':Intype', $msg , PDO::PARAM_STR);   
							$stmt->bindValue(':type', 1 , PDO::PARAM_STR);   
							$stmt->execute();     
							$LastIntId = $conn->lastInsertId();
							
							$stmt=$conn->prepare("select id from UI__Rgst  where  cuurentId=:cuurentId    ");   
							$stmt->bindValue(':cuurentId',  $UserId , PDO::PARAM_STR);  
							$stmt->execute(); 
							$UIid = $stmt->fetch(PDO::FETCH_OBJ);   
							
							$amount = password_hash(($PAYWAllet),PASSWORD_DEFAULT);  
							$stmt =  $conn->prepare("update _pkCc__ set bl1=:bl1,tm=:tm where Uxd=:Uxd "); 
							$stmt->bindValue(':bl1', $amount, PDO::PARAM_STR); 
							$stmt->bindValue(':tm', date("d-M-Y H:i"), PDO::PARAM_STR); 
							$stmt->bindValue(':Uxd', $UIid->id, PDO::PARAM_STR);  
							$stmt->execute();   
							
							$stmt=$conn->prepare("select * from UI__Rgst  where  cuurentId=:cuurentId  ");   
							$stmt->bindValue(':cuurentId',  $UserId , PDO::PARAM_STR);  
							$stmt->execute();
							$UI__Rgst = $stmt->fetch(PDO::FETCH_OBJ);     	
							
							
							$stmt=$conn->prepare("insert into UI__Receipt(type,bank,mobile,email,amountPaid,Tid,status,Tdate,custId,cdId,Topay,TopayName) values(:type,:bank,:mobile,:email,:amountPaid,:Tid,:status,:Tdate,:custId,:cdId,:Topay,:TopayName)"); 
							$stmt->bindValue(':type',   11 , PDO::PARAM_STR);   
							$stmt->bindValue(':bank',  "Fund Added By User" , PDO::PARAM_STR);   
							$stmt->bindValue(':mobile', $UI__Rgst->phm, PDO::PARAM_STR);
							$stmt->bindValue(':email', $UI__Rgst->eml , PDO::PARAM_STR); 
							$stmt->bindValue(':amountPaid', $Fund  , PDO::PARAM_STR); 
							$stmt->bindValue(':Tid', mt_rand(1234552,23555), PDO::PARAM_STR); 
							$stmt->bindValue(':status', 1 , PDO::PARAM_STR); 
							$stmt->bindValue(':Tdate', date("d-M-Y H:i") , PDO::PARAM_STR);      
							$stmt->bindValue(':custId', $UserId, PDO::PARAM_STR);  
							$stmt->bindValue(':cdId', $LastIntId  , PDO::PARAM_STR); 
							$stmt->bindValue(':Topay',  $UserId , PDO::PARAM_STR); 
							$stmt->bindValue(':TopayName',  $UserId , PDO::PARAM_STR);     
							$stmt->execute();    
				}
?>